<template>
  <div>
    <v-tabs v-model="tab" centered>
      <v-tab> <v-icon left>mdi-file</v-icon>From file</v-tab>
      <v-tab> <v-icon left>mdi-refresh</v-icon>From last run</v-tab>
      <v-tab> <v-icon left>mdi-run-fast</v-icon>At runtime</v-tab>
      <v-tabs-slider color="primary"></v-tabs-slider>
      <v-tab-item :eager="true">
        <Presets :config.sync="tab1_preset" ref="presets" />
      </v-tab-item>
      <v-tab-item :eager="true">
        <LastRunPresets ref="lastpresets"/>
      </v-tab-item>
      <v-tab-item :eager="true">
        <NoPreset ref="nopresets"/>
      </v-tab-item>
    </v-tabs>
    <v-row>
      <v-col align="right">
        <v-btn color="primary" @click="emitGoBack"
          ><v-icon left>mdi-chevron-left</v-icon>Back</v-btn
        >
      </v-col>
      <v-col align="left">
        <v-btn color="primary" :disabled="!canContinue" @click="emitContinue"
          >{{ continueText
          }}<v-icon right dark> mdi-cloud-upload </v-icon></v-btn
        >
      </v-col>
    </v-row>
  </div>
</template>

<script>
import Presets from "./Tab2/Presets";
import LastRunPresets from "./Tab2/LastRunPresets";
import NoPreset from "./Tab2/NoPreset";

export default {
  name: "Tab2",
  components: {
    Presets,
    LastRunPresets,
    NoPreset,
  },
  data: () => ({
    tab: 0,
    tab1_preset: null,
  }),
  computed: {
    canContinue() {
      switch (this.tab) {
        case 0:
          return !(this.tab1_preset === null);
        case 1:
          return true;
        case 2:
          return true;
        default:
          return false;
      }
    },
    continueText() {
      switch (this.tab) {
        case 0:
          return this.tab1_preset === null
            ? "Load"
            : "Load " + this.tab1_preset;
        case 1:
          return "Load this preset";
        case 2:
          return "Continue";
        default:
          return "Continue";
      }
    },
  },
  methods: {
    fire() {
      switch (this.tab) {
        case 0:
          this.$refs.presets.pickPreset();
          break;
        case 1:
          this.$refs.lastpresets.pickPreset();
          break;
        case 2:
          this.$refs.nopresets.pickPreset();
          break;
        default:
          break;
      }
    },
    emitContinue() {
      this.fire();
      this.$emit("continue");
    },
    emitGoBack() {
      this.$emit("goBack");
    },
  },
};
</script>